Last Comment Bug 854935 - [dialer] Dialing in airplane mode doesn't show a Notification Message
: [dialer] Dialing in airplane mode doesn't show a Notification Message
Status: VERIFIED FIXED
[fromAutomation]
: regression
Product: Firefox OS
Classification: Client Software
Component: Gaia::Dialer (show other bugs)
: unspecified
: All All
: -- major (vote)
: ---
Assigned To: Etienne Segonzac (:etienne)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-26 09:39 PDT by Trif Andrei-Alin[:AlinT]
Modified: 2013-06-06 06:12 PDT (History)
12 users (show)
isabelrios: in‑moztrap+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
leo+
fixed


Attachments

Description Trif Andrei-Alin[:AlinT] 2013-03-26 09:39:20 PDT
STR:
1.Switch Aiplane mode on
2.Enter the "Phone" app
3.Type a random phone number(ex: 0040556666)
4.Press Dial

Expected results:
A message box should appear, notifing you that you are in airplance mode.

Actual results:
Pressing Dial does do anything.
Comment 1 Stephen Donner [:stephend] 2013-03-26 13:35:19 PDT
Here's the manual test from which we created automation: https://moztrap.mozilla.org/manage/case/2282/

I should note that this is the Mozilla RIL; will put the Gecko/Gaia commit in the next comment.
Comment 2 Stephen Donner [:stephend] 2013-03-26 13:39:32 PDT
Gecko is: 28b048ffb7a7 / a800f14ea7022a78966f7fe14a9b0d11c569b151
Gaia v1-train is: 44f6a17f24d4
Comment 3 Bob Silverberg [:bsilverberg] 2013-03-27 11:22:41 PDT
The test is no longer failing on our nightly build nor on the up-to-the-minute v1-train build, so closing this.
Comment 4 Trif Andrei-Alin[:AlinT] 2013-03-28 08:06:41 PDT
QA Verified on build: 20130327230206
Comment 5 Aaron Train [:aaronmt] 2013-03-28 08:08:12 PDT
So what fixed this?
Comment 6 Trif Andrei-Alin[:AlinT] 2013-03-28 08:16:59 PDT
I haven't followed the commits in gaia, so I really can't say.
In the build from 26.03 this was a problem but in the build from 27.03 it was fixed.
Comment 7 Zac C (:zac) 2013-04-08 04:39:28 PDT
This has regressed again on:
Build ID: 20130407230204
Gaia commit: v1train / 32bf502f086

Symptoms/ STR are identical
Comment 8 Etienne Segonzac (:etienne) 2013-04-10 02:20:19 PDT
I can reproduce with a b2g18 build but not with a mc build.

Hsin-Yi, is there an easy way to check that bug 849185 got uplifted without any issue?
Comment 9 Hsin-Yi Tsai [:hsinyi] 2013-04-10 07:22:12 PDT
Etienne,

I had tried the patch with both b2g18 and mc builds before I pushed it. Both worked. I guess I probably need some time to figure the issue out. Since I am joing a w3c meeting and may have limitied time working on the issue these days, would you please provide me logcat with RIL debug message first, so that I could have a glance and give you more useful feedback as soon ass possible? Thanks.
Comment 10 Etienne Segonzac (:etienne) 2013-04-10 10:13:05 PDT
(In reply to Hsin-Yi Tsai [:hsinyi] from comment #9)
> Etienne,
> 
> I had tried the patch with both b2g18 and mc builds before I pushed it. Both
> worked. I guess I probably need some time to figure the issue out. Since I
> am joing a w3c meeting and may have limitied time working on the issue these
> days, would you please provide me logcat with RIL debug message first, so
> that I could have a glance and give you more useful feedback as soon ass
> possible? Thanks.

== Mozilla central ==
I/Gecko   (25690): -*- RadioInterfaceLayer: Received
'RIL:RegisterMobileConnectionMsg' message from content process
I/Gecko   (25690): -*- RadioInterfaceLayer: Registered mobileconnection
target: [object ChromeMessageSender]
I/Gecko   (25690): -*- RadioInterfaceLayer: Received
'RIL:RegisterIccMsg' message from content process
I/Gecko   (25690): -*- RadioInterfaceLayer: Registered icc target:
[object ChromeMessageSender]
I/Gecko   (25690): -*- RadioInterfaceLayer: Received 'RIL:GetRilContext'
message from content process

(the call screen does not open and we see the error prompt telling us that we are in airplane mode)

== b2g18 ==
I/Gecko   (26017): -*- RadioInterfaceLayer: Received
'RIL:RegisterMobileConnectionMsg' message from content process
I/Gecko   (26017): -*- RadioInterfaceLayer: Registered mobileconnection
target: [object ChromeMessageSender]
I/Gecko   (26017): -*- RadioInterfaceLayer: Received 'RIL:Dial' message
from content process
I/Gecko   (26017): -*- RadioInterfaceLayer: Dialing 888
I/Gecko   (26017): -*- RadioInterfaceLayer: Received message from
worker:
{"rilMessageType":"callError","number":"888","isDialEmergency":false,"callIndex":-1,"errorMsg":"RadioNotAvailable"}
I/Gecko   (26017): -*- RadioInterfaceLayer: Received
'RIL:EnumerateCalls' message from content process
I/Gecko   (26017): -*- RadioInterfaceLayer: Requesting enumeration of
calls for callback
I/Gecko   (26017): -*- RadioInterfaceLayer: Received message from
worker:
{"requestId":"{0544ae2b-b652-466c-a498-3f9dd4b2b346}","rilMessageType":"enumerateCalls","calls":[]}
I/Gecko   (26017): -*- RadioInterfaceLayer: handleEnumerateCalls:
{"requestId":"{0544ae2b-b652-466c-a498-3f9dd4b2b346}","rilMessageType":"enumerateCalls","calls":[]}
I/Gecko   (26017): -*- RadioInterfaceLayer: Received
'RIL:RegisterTelephonyMsg' message from content process
I/Gecko   (26017): -*- RadioInterfaceLayer: Already registered this
target!
I/Gecko   (26017): -*- RadioInterfaceLayer: Received
'RIL:RegisterMobileConnectionMsg' message from content process
I/Gecko   (26017): -*- RadioInterfaceLayer: Already registered this
target!
I/Gecko   (26017): -*- RadioInterfaceLayer: Received
'RIL:SetMicrophoneMuted' message from content process
I/Gecko   (26017): -*- RadioInterfaceLayer: Received
'RIL:GetSpeakerEnabled' message from content process
I/Gecko   (26017): -*- RadioInterfaceLayer: Received 'RIL:StopTone'
message from content process
I/Gecko   (26017): -*- RadioInterfaceLayer: Stopping Tone

(the call screen pops up for a brief instant and we don't get the error prompt)

Hope it helps...
Comment 11 Hsin-Yi Tsai [:hsinyi] 2013-04-12 03:53:57 PDT
Entienne, I have a follow up patch for bug 849185. Some naming inconsistency between m-c and b2g18, sigh...
Comment 12 Etienne Segonzac (:etienne) 2013-04-16 06:50:34 PDT
The followup landed in B2G 18.
Just verified and this is fixed.
Comment 13 Trif Andrei-Alin[:AlinT] 2013-06-06 02:48:07 PDT
Verified on v1-train and v1.0.1
Comment 14 isabelrios 2013-06-06 06:12:14 PDT
This is already in Moztrap.
Suite: Dialer. Test case id: #2282

Note You need to log in before you can comment on or make changes to this bug.